<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Viewport.html">Viewport</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Viewport Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a7998e64f3a79ac014813218f5e7cdd8e">_clearUpdatedFlag</a>(void)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a281c5fa62a3da7ac0a1d9157483e25f3">_getNumRenderedBatches</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#af7c0f96ca9eb135af8b4e4da601fd907">_getNumRenderedFaces</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#add9644e3223359c0eb1075de0b1b801b">_getRenderQueueInvocationSequence</a>(void)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a93972965b5498b5aab4e18fe78c93647">_isUpdated</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a23c2b69bbc3d76fd52a4729a71caed08">_updateDimensions</a>(void)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#ac0f6279cc741ced692f2533f280f04d0">addListener</a>(Listener *l)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#ae7254627ab8d77052bac5813888b4620">clear</a>(unsigned int buffers=FBT_COLOUR|FBT_DEPTH, const ColourValue &amp;colour=ColourValue::Black, Real depth=1.0f, unsigned short stencil=0)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a464b7641f63ceb11542452e08f0c7682">getActualDimensions</a>(int &amp;left, int &amp;top, int &amp;width, int &amp;height) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#abb04c51b0c8c39ff0d08213d3b263561">getActualHeight</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a78b1d4c2b44a2243766d18f018a98939">getActualLeft</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a604d46921a9c64ded5c65a9e93b7e8ee">getActualTop</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a6f777d1ade751a38ce0851307f52b6c2">getActualWidth</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#aa550346673e5e77951bbe44165b59808">getBackgroundColour</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#aa947285883082c628512beed7b1a33be">getCamera</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a747d9d108b9702674598853051d21b7d">getClearBuffers</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#ad1894b2114c40f68f98580dcd8110d25">getClearEveryFrame</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#ae7d0d74c7a7c17a7b94e44b3fb481030">getDefaultOrientationMode</a>()</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#aa70001cbba00d683e28f9e18129f71de">getDepthClear</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#aceef8b4b94fb974dbd620e16228d08e5">getHeight</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#ad3325a6b0fb12409b0fe8d9499a26322">getLeft</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a6a7957a8f88824cb9dffad4627aed0c2">getMaterialScheme</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a87092749b5ca126daea8d5e4f4f9d1a4">getOrientationMode</a>() const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#ad1a3965c457f32ef2b94a27c4d66d192">getOverlaysEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a78beb299d9ca2681365a19de39708a0d">getRenderQueueInvocationSequenceName</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a34a4b65ac55e6b6f107f6800050dbdb6">getShadowsEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a7f298d53b2d7575bbacc0d556df14774">getSkiesEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a87f6429f7060f2dc18aec304bb24e2b2">getTarget</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a242540dcb26c2d3ebd3cbe0cb6c04728">getTop</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a84e9c01f4e8e62422be4fda269dd54cd">getVisibilityMask</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a6b2b7e7b071c6666c957f2cfbcdeeca6">getWidth</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a642b036b0688acdc47745dab0149a84c">getZOrder</a>(void) const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a6d447ecd7867afafd79146a3f35ac5ed">isAutoUpdated</a>() const </td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#af6d51594ca5654c324654b9198d0c5ce">ListenerList</a> typedef</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#ab7b093d9ac827c273768e53060fd8726">mActHeight</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a646ba5a5404bdfdf3d79a5a2683304be">mActLeft</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a9964f4588bc0db471354d0b9d7d9ff7f">mActTop</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a4ff8c7f41b09c379d3b58b662a3efea8">mActWidth</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a36865f1dadd8c420534b75d908d102be">mBackColour</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a36698bf38ccd2f3352acdfa87f872bc8">mCamera</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#ac6f276653f755783c0c7a9553eae8e66">mClearBuffers</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#acfd2ea86e54aee8f02f41e1fb5dc3b9b">mClearEveryFrame</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#aea1827211b09f15b586a4ccbf02744ab">mDefaultOrientationMode</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a66ef61a6a6a8aba393abfd77d041067c">mDepthClearValue</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#aabdf5cdf796e081efcb52fad9e3745e2">mIsAutoUpdated</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a79c1bbe2ea6b3729bc2f3a42c4ffc74d">mListeners</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#acbe0e8aaceb85d46ace547d5f5204090">mMaterialSchemeName</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a669d536fb471bdc2d0fb56216aeca8fa">mOrientationMode</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a8e2133edd0baaa674df0874781592e5e">mRelHeight</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a0dd49213851c5c32d8b9688d1ea70ab7">mRelLeft</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a7ad1871b3ae4f48605ba777bc7fad8c2">mRelTop</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#aafd8a3dc0df1d03cbab1810379c66475">mRelWidth</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a8b082dd8109b00852809d8ca821dbccb">mRQSequence</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#aa1a763caddecc5e3d49b72bbd8726ce2">mRQSequenceName</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a628f58393bf84c4fb404421919b6f198">mShowOverlays</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a508ab72bd9d5739210a6db2da0cbbc39">mShowShadows</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#ade5f6bd07d4902efb3e087c73a57ecab">mShowSkies</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a30e4c768a1a5ac98c6b1eae1aa1936a7">mTarget</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#ab709605fc7d6015af896b43cc71831ba">mUpdated</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a9af0d0c0aca7cfedae4bd2b8fef0c333">mVisibilityMask</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a682fb477e687507fd715f2dfd29c397c">mZOrder</a></td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a40e29f3225c47bea22822274d4d021eb">pointOrientedToScreen</a>(const Vector2 &amp;v, int orientationMode, Vector2 &amp;outv)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a4e34363fb51b8b3380981694b42c77e7">pointOrientedToScreen</a>(Real orientedX, Real orientedY, int orientationMode, Real &amp;screenX, Real &amp;screenY)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a931d07d2aea40d67f5f6addc5a33feaf">removeListener</a>(Listener *l)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a6fa1ca3a866134b2e8ef06749cbddba8">setAutoUpdated</a>(bool autoupdate)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a3770973e7626d75592a79d0670b862d9">setBackgroundColour</a>(const ColourValue &amp;colour)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a20aa22b47f03e523aaeb0d54e094fbf3">setCamera</a>(Camera *cam)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#ad9c172c23b0dcccd929f31d4416f9683">setClearEveryFrame</a>(bool clear, unsigned int buffers=FBT_COLOUR|FBT_DEPTH)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a05cec59a7c2ee14e97ad468f42d21661">setDefaultOrientationMode</a>(OrientationMode orientationMode)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a34d3e019f408096594a2e43dab6ca579">setDepthClear</a>(Real depth)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#aed7bc69a7ca7a787d79832dbccff9e27">setDimensions</a>(Real left, Real top, Real width, Real height)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a8e8577fd81c45b05de880106f364a281">setMaterialScheme</a>(const String &amp;schemeName)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a10c41ba5b52fce35e3c2df7b6b38477b">setOrientationMode</a>(OrientationMode orientationMode, bool setDefault=true)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a598f5bd68b1c88cd3ae5a50343965afd">setOverlaysEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a145439ce2c54216d8d65d3066bbedbdd">setRenderQueueInvocationSequenceName</a>(const String &amp;sequenceName)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#ab71a4790d66e3cddd3b36b3c1b4fd23c">setShadowsEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a176a24ccbb9881c4fc61f3f1aaba3c12">setSkiesEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#ad5a4fe00ee05861c157bf63e78e1c2b0">setVisibilityMask</a>(uint32 mask)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#ab281517fd8070ab1617f126b752bb025">update</a>(void)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#aecd83ce23cc219ed1ba2f9f0b463325b">Viewport</a>(Camera *camera, RenderTarget *target, Real left, Real top, Real width, Real height, int ZOrder)</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Viewport.html#a7b76633e02431bd4254f6d4629b7672a">~Viewport</a>()</td><td><a class="el" href="classOgre_1_1Viewport.html">Ogre::Viewport</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
